ExceptionTranslators.h File Reference
`#include "DataTypes.h"`
`#include "EsysException.h"`

Go to the source code of this file.

## Namespaces

| escript

## Macros

#define | REGISTER_ESCRIPT_EXCEPTION_TRANSLATORS

## Functions

void | escript::AssertionErrorTranslator (const EsysException &e)
| Function which translates an EsysException into a python AssertionError. More...
void | escript::IOErrorTranslator (const EsysException &e)
| Function which translates an EsysException into a python IOError. More...
void | escript::NotImplementedErrorTranslator (const EsysException &e)
| Function which translates an EsysException into a python NotImplementedError. More...
void | escript::RuntimeErrorTranslator (const EsysException &e)
| Function which translates an EsysException into a python RuntimeError. More...
void | escript::ValueErrorTranslator (const EsysException &e)
| Function which translates an EsysException into a python ValueError. More...

## Macro Definition Documentation

## REGISTER_ESCRIPT_EXCEPTION_TRANSLATORS

#define REGISTER_ESCRIPT_EXCEPTION_TRANSLATORS

Value:
register_exception_translator<escript::AssertException>(&escript::AssertionErrorTranslator);\
register_exception_translator<escript::IOError>(&escript::IOErrorTranslator);\
register_exception_translator<escript::NotImplementedError>(&escript::NotImplementedErrorTranslator);\
register_exception_translator<escript::ValueError>(&escript::ValueErrorTranslator)
escript::AssertionErrorTranslator
void AssertionErrorTranslator(const EsysException &e)
Function which translates an EsysException into a python AssertionError.
Definition: ExceptionTranslators.cpp:21
escript::IOErrorTranslator
void IOErrorTranslator(const EsysException &e)
Function which translates an EsysException into a python IOError.
Definition: ExceptionTranslators.cpp:26
escript::ValueErrorTranslator
void ValueErrorTranslator(const EsysException &e)
Function which translates an EsysException into a python ValueError.
Definition: ExceptionTranslators.cpp:41
escript::NotImplementedErrorTranslator
void NotImplementedErrorTranslator(const EsysException &e)
Function which translates an EsysException into a python NotImplementedError.
Definition: ExceptionTranslators.cpp:31

Referenced by BOOST_PYTHON_MODULE().